Subject: Re: PASEMI: PA6T board doesn't boot with the RC1 of kernel 4.2 anymore

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 Jul 2015 16:44:20 +1000

On Fri, 2015-07-10 at 00:27 +0200, Christian Zigotzky wrote:
> Hi All,
> 
> Many thanks for your help. You're right. It was something wrong with my 
> last bisect. I did another bisect. I evaluated the one "sometimes boots" 
> with good.

 .../...

Now that makes more sense since the problem is around IRQ handling...
more specifically the SB600 code, so I suspect it's your SB600 patch
that has an issue. Look at how that series from Jiang modified the
irq handlers and see if the sb600 patch needs a similar change maybe ?

Ben.

> 
> Output:
> 0d0b4c866bcce647f40d73efe5e90aeeb079050a is the first bad commit
> commit 0d0b4c866bcce647f40d73efe5e90aeeb079050a
> Author: Jiang Liu <[email-masked]>
> Date:   Mon Jun 1 16:05:12 2015 +0800
> 
>      genirq: Introduce struct irq_common_data to host shared irq data
> 
>      With the introduction of hierarchy irqdomain, struct irq_data becomes
>      per-chip instead of per-irq and there may be multiple irq_datas
>      associated with the same irq. Some per-irq data stored in struct
>      irq_data now may get duplicated into multiple irq_datas, and causes
>      inconsistent view.
> 
>      So introduce struct irq_common_data to host per-irq common data and to
>      achieve consistent view among irq_chips.
> 
>      Signed-off-by: Jiang Liu <[email-masked]>
>      Cc: Konrad Rzeszutek Wilk <[email-masked]>
>      Cc: Tony Luck <[email-masked]>
>      Cc: Bjorn Helgaas <[email-masked]>
>      Cc: Benjamin Herrenschmidt <[email-masked]>
>      Cc: Randy Dunlap <[email-masked]>
>      Cc: Yinghai Lu <[email-masked]>
>      Cc: Borislav Petkov <[email-masked]>
>      Cc: Jason Cooper <[email-masked]>
>      Cc: Kevin Cernekee <[email-masked]>
>      Cc: Arnd Bergmann <[email-masked]>
>      Cc: Marc Zyngier <[email-masked]>
>      Link: 
> http://lkml.kernel.org/r/[email-masked]
>      Signed-off-by: Thomas Gleixner <[email-masked]>
> 
> :040000 040000 4cb60e0b1d4beb046834e75c66b5d0a0613935b9 
> df0b465b70ec087560482267cca2d9ff54d92c49 M    include
> :040000 040000 3808922cd797449f8f9b33300064a2ff1727f3a6 
> 25a75bf65be0ba9e397151de0ed1beb1695fddb2 M    kernel
> 
> ----
> 
> Rgds,
> 
> Christian
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev